#include <stdio.h>

char alfalower[43]="ţ0123456789";
char alfaupper[43]="0123456789";
int letter[256]; /*      , -1   */

void fill_table() {
  int i;
  for (i=0;i<256;i++){
    letter[i]=-1;
  }
  for (i=0;i<43;i++){
    letter[(unsigned char) alfalower[i]]=i;
    letter[(unsigned char) alfaupper[i]]=i;
  }
}

int main(int argc, char *argv[]) {
  int c,i;
  int occurences [43]; /* occurences [i] -     i */
  int total=0;
  for (i=0;i<43;i++){
    occurences[i]=0;
  }
  fill_table();
  while ((c=getchar())!=EOF){
    if (letter[(unsigned char) c]!=-1){
      occurences[letter[(unsigned char) c]]++;
      total++;
    }
  }
  for (i=0;i<43;i++){
    printf("%c  %6d  %f\n", alfalower[i], occurences[i], ((double)
          occurences[i])/((double) total));
  }
}
